Subject: bug#59062: closed (Re: bug#59062: esh-var-test/alias test failures on Ubuntu 22.10)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Nov 2022 14:55:02 +0000

Your bug report

#59062: esh-var-test/alias test failures on Ubuntu 22.10

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59062: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59062
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59062: esh-var-test/alias test failures on Ubuntu 22.10
From: Stefan Kangas <[email-masked]>
To: Jim Porter <[email-masked]>, Paul Eggert <[email-masked]>, [email-masked]
Date: Sun, 6 Nov 2022 06:53:56 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim Porter <[email-masked]> writes:

> This is the relevant bit:
>
>     (ert-test-failed
>       ((should
>         (eshell-match-output regexp))
>        :form
>        (eshell-match-output "Variable `ALIAS' is not settable\n")
>        :value nil :explanation
>        (mismatched-output
>         (command "set ALIAS hello\n")
>         (output "Variable ‘ALIAS’ is not settable\n")
>         (regexp "Variable `ALIAS' is not settable\n"))))
>
> It says the output has curved ‘’ quotes, but the regexp used to match
> the output uses `' quotes. I've never seen that fail locally, though I
> usually run "make -C test check-lisp-eshell". Maybe some setting (or
> other test) is messing with the way `' quotes get printed, which
> confuses the Eshell tests?

This should now be fixed on master (commit 2ea9f69f07), so I'm closing
the bug.

Subject: esh-var-test/alias test failures on Ubuntu 22.10
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Jim Porter <[email-masked]>
Date: Sat, 5 Nov 2022 14:44:14 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This is on Ubuntu 22.10 x86-64, with current Emacs master (commit 
8a49a888532c955ae81855636a65b446508cb361 dated today). "make check" 
fails in some of the esh-var-test/alias tests. Some esh expertise (which 
I don't have) would be of use in debugging this so I'm taking the 
liberty of cc'ing Jim.

I'm attaching a copy of the build log (created with ./autogen.sh; 
configure; make; make check) and of the test failure logged in 
test/lisp/eshell/esh-var-tests.log. The build log is the same as in 
Bug#59061.